Description

| installed the latest stable Doomsday engine, which also had Snowberry ver 1.6. | installed it successfully and tried to go for Ultimate
Doom. But this error message poped up:

App init failed: CreateDirError cannot create directory in C:\Users\??7??

something like this (I cannot duplicate this error message anymore so | couldn't upload the screenshot but this is the most of the
original error message). The current username in my PC is in Korean so | guess that is the cause of this problem. Now this time |
tried it as an administrator; the previous error message does not pop up anymore but it just crashes automatically when | try to play
Ultimate Doom (~ has stopped working). Lastly, | tried it without the administrator prompt, but still it just crashes without the error
message. Now I'm a bit confused.

| think the problem is mainly due to my Korean username, but couldn't find a way to solve this in the Wiki. This might not be a serious
problem with the Doomsday engine, but | hope | can play this awesome engine without making a new account. Thanks.

Related issues:

Related to Bug #1097: [Snowberry] Errors when running from a non-ASCII folder Closed 2012-10-30
Related to Bug #1094: [Win32] RSP not passed to Doomsday with non-ASCII username Closed 2012-10-16
History

#1 - 2015-02-12 08:59 - skyjake

- Tags set to Unicode

- Subject changed from App init failed: CreateDirError to App init failed: CreateDirError (1.14.5)
- Category set to Defect

#2 - 2015-02-12 08:59 - skyjake
- Related to Bug #1097: [Snowberry] Errors when running from a non-ASCI| folder added

#3 - 2015-02-12 08:59 - skyjake
- Related to Bug #1094: [Win32] RSP not passed to Doomsday with non-ASCII username added

#4 - 2015-02-12 09:04 - skyjake

Unfortunately this is a known bug with 1.14. As a workaround, you could try the latest 1.15 unstable build and bypass the frontend by starting
Doomsday.exe manually. If this works, you can then use the "-iwad" command line option to tell Doomsday where to load the IWAD files (for instance
by creating a shortcut to Doomsday.exe and adding the option "-iwad your\iwad_path\" in its properties).

Even when 1.15 is released, the frontend will likely still have issues with non-ASCII characters in file paths. We are planning to get rid of the launcher
entirely so no time is being allocated for improving it any more.

#5 - 2015-02-12 14:33 - Incantator

Thanks for your kind explanation: | didn't expect you to reply this soon.

#6 - 2015-02-13 10:14 - skyjake

- Status changed from New to Closed

#7 - 2015-02-13 10:14 - skyjake

Closing as duplicate.
